routes/web.php
<?php

use Illuminate\Support\Facades\Route;

Route::get("/clear",function(){
    Artisan::call("config:clear");
    Artisan::call("cache:clear");
    return 'Done';
});

Route::get('/',                    'Auth\LoginController@login');
Route::get('sign-up',              'Auth\LoginController@signUp');
Route::post('store-user',              'Auth\LoginController@store_user');
Route::post('checkAuthentication', 'Auth\LoginController@authenticate');
Route::get('logout',               'Auth\LoginController@logout');

Route::group(['middleware'=>['auth'],'namespace'=>'Permission'],function() {

    Route::get('/role-permission', 'RoleController@index')->name("role");
    Route::post('/role', 'RoleController@store');
    Route::get('/role/edit/{role_id}', 'RoleController@edit');
    Route::get('/role/delete/{role_id}', 'RoleController@delete');
    Route::get('/assign-permission/{role_id}', 'RoleController@assignPermission');
    Route::post('/assign-permission/{role_id}', 'RoleController@assignPermission');

    Route::get('/module', 'ModuleController@index')->name("module");
    Route::post('/module/add_parent', 'ModuleController@add_parent');
    Route::get('/module/get_subparent', 'ModuleController@get_subparent');
    Route::post('/module/add', 'ModuleController@add');
    Route::post('/module/control', 'ModuleController@control');
    Route::get('/module/edit/{id?}/{cat_id?}/{msg?}', 'ModuleController@edit');
    Route::post('/module/edit/{id?}/{cat_id?}/{msg?}', 'ModuleController@edit');
    Route::get('/module/delete/{id?}/{cat_id?}/{msg?}', 'ModuleController@delete');
    Route::post('/module/moduleUpdate/', 'ModuleController@moduleUpdate');
   
});

Route::group([ 'middleware' => 'checkAuthentication'], function(){

    Route::get('/dashboard',     'AdminController@index');
    Route::get('/userDashboard', 'AdminController@userDashboard');

    Route::prefix('/careers')->name('careers.')->group(function(){
        Route::get('/', 'CareerController@index')->name('index');
        Route::get('/create', 'CareerController@create')->name('create');
        Route::get('/circularDetails', 'CareerController@circularDetails')->name('circularDetails');
        Route::post('/store', 'CareerController@store')->name('store');
        Route::get('edit/{id}', 'CareerController@edit')->name('edit');
        Route::post('update/{id}', 'CareerController@update')->name('update');
        Route::get('destroy/{id}', 'CareerController@destroy')->name('destroy');
    });

/*---Role---*/
    Route::get('addRole',              'RoleController@createRole');
    Route::post('saveRole',            'RoleController@storeRole');
    Route::get('editRole/{role_id}',   'RoleController@editRole');
    Route::post('updateRole',          'RoleController@updateRole');
    Route::get('deleteRole/{role_id}', 'RoleController@deleteRole'); 


/*---Module---*/
    Route::get('addModule',              'ModuleController@createModule');
    Route::post('saveModule',            'ModuleController@storeModule');
    Route::get('editModule/{module_id}', 'ModuleController@editModule');
    Route::post('updateModule',          'ModuleController@updateModule');

/*---Role Permission---*/
    Route::get('addPermission',                    'RolePermissionController@createPermission');
    Route::get('managePermission',                 'RolePermissionController@managePermission');
    Route::post('savePermission',                  'RolePermissionController@storePermission');
    Route::get('editPermission/{permission_id}',   'RolePermissionController@editPermission');
    Route::post('updatePermission',                'RolePermissionController@updatePermission');
    Route::get('deletePermission/{permission_id}', 'RolePermissionController@deletePermission');
    Route::get('detailsPermission',                'RolePermissionController@viewDetailsPermission');


/*---User info---*/
    Route::get('manageUser',               'UserController@manageUser');
    Route::get('addUser',                  'UserController@createUser');
    Route::post('saveUser',                'UserController@storeUser');
    Route::get('doUserInactive/{user_id}', 'UserController@inactiveUser');
    Route::get('doUserActive/{user_id}',   'UserController@activeUser');
    Route::get('editProfile/{user_id}',    'UserController@editUser');
    Route::post('updateUser',              'UserController@updateUser');
    Route::get('changePassword/{user_id}', 'UserController@changeUserPassword');
    Route::post('updatePassword',          'UserController@updatePassword');

});

app/Career.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Career extends Model
{
    //
}

app/Http/Controllers/CareerController.php
<?php

namespace App\Http\Controllers;

use DB;
use Auth;
use App\Career;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CareerController extends Controller
{
    public function index(){
        $data['get_all'] = Career::get();
        return view('admin.career.view', $data);
    }

    public function create(){
        $data['add'] = TRUE;
        return view('admin.career.add', $data);
    }

    public function store(Request $request){

        $this->validate($request, [          
            'title' => 'required',               
            'description' => 'required',               
            'status' => 'required',                     
            'file' => 'required',                     
        ]);

        try {
            $career = new Career;
            $career->title = $request->title;
            $career->description = $request->description;
            $career->status = $request->status;
            $career->created_by = Auth::id();
            if(!empty($request->file('file'))){
                $File = $request->file('file');
                $name = $File->getClientOriginalName();
                $ext = explode('.',$name);
                $finalName = 'career-'.time().'.'.$ext[1];
                $uploadPath = 'career/';
                $File->move($uploadPath, $finalName);
                $career->file = $uploadPath.$finalName;
            }
            $career->save();
             
            setMessage("message","success","Successful");
            return redirect(route('careers.index'));

        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger","Failed");
            return redirect(route('careers.index'));
        }
    }

    public function edit($id){
        $data['edit'] = TRUE;
        $data['single'] = Career::findOrFail($id);
        return view('admin.career.add', $data);
    }


    public function update(Request $request, $id){

        $this->validate($request, [          
            'title' => 'required',               
            'description' => 'required',                    
            'status' => 'required',                    
        ]);

        try {
            $career = Career::findOrFail($id);
            $career->title = $request->title;
            $career->description = $request->description;
            $career->status = $request->status;
            $career->updated_by = Auth::id();
            if ($request->file != null) {

                $path = $career->file;
                if (file_exists($path) and $career->file !=null) {
                    unlink($path);
                }
                $File = $request->file('file');
                $name = $File->getClientOriginalName();
                $ext = explode('.',$name);
                $finalName = 'career-'.time().'.'.$ext[1];
                $uploadPath = 'career/';
                $File->move($uploadPath, $finalName);
                $career->file = $uploadPath.$finalName;
            }
            $career->save();

            setMessage("message","success","Successful");
            return redirect(route('careers.index'));

        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger","Failed");
            return back();
        }
    }

    public function destroy($id){

        try {
            $career = Career::findOrFail($id);
            $path = $career->file;
            if (file_exists($path) and $career->file != null) {
                unlink($path);
            }
            $career->delete();
            setMessage("message","success","Successful");
            return back();
        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger","Failed");
            return back();
        }
    }

    public function circularDetails(){
        $id = request()->input("id");
        $get_info = Career::findOrFail($id);
        return view('admin.career.details',['selected_info'=>$get_info]);
    }


}//CareerController

resources/views/admin/career/add.blade.php
@extends('admin.layout.default')
@section('title')
    Add Record
@endsection
@section('content')
    
<div class="main-panel">   
    <div class="page-header">
        <h3 class="page-title">Add New Record</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Forms</a></li>
                <li class="breadcrumb-item active" aria-current="page">Form elements</li>
            </ol>
        </nav>
    </div>     
    <div class="content-wrapper">
        @isset($add)
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            @if(Session::has('message'))
                                <div class="alert alert-block alert-success">
                                    <button type="button" class="close" data-dismiss="alert">
                                        <i class="ace-icon fa fa-times"></i>
                                    </button>
                                    <i class="ace-icon fa fa-check green"></i>
                                    {{ Session::get("message") }}
                                    {{ Session::forget('message') }}
                                </div>
                            @endif

                            <form action="{{ route('careers.store') }}" method="post" enctype="multipart/form-data" autocomplete="off">
                            @csrf
                                
                                <div class="form-group row">
                                    <label for="exampleInputEmail2" class="col-sm-3 col-form-label">Title <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <input type="text" name="title" class="form-control" placeholder="Enter title" required>
                                        <span class="text-danger">{{ $errors->has('title') ? $errors->first('title') : '' }}</span>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label">Description <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <textarea name="description" class="form-control" ></textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label">Status <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <select name="status" required class="form-control" >
                                            <option value="0">Please Select</option>
                                            <option value="1">Active</option>
                                            <option value="2">Inactive</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="career" class="col-sm-3 col-form-label">Upload Thumbnail <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <input type="file" class="form-control" name="file"  value="" required>
                                        <code>Max File Size less than 1MB</code>
                                        <span class="text-danger">{{ $errors->has('file') ? $errors->first('file') : '' }}</span>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label"></label>
                                    <div class="col-sm-9">
                                        <button type="submit" class="btn btn-primary mr-2">Save</button>
                                        <button class="btn btn-light">Cancel</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        @endisset
        @isset($edit)
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            @if(Session::has('message'))
                                <div class="alert alert-block alert-success">
                                    <button type="button" class="close" data-dismiss="alert">
                                        <i class="ace-icon fa fa-times"></i>
                                    </button>
                                    <i class="ace-icon fa fa-check green"></i>
                                    {{ Session::get("message") }}
                                    {{ Session::forget('message') }}
                                </div>
                            @endif

                            <form action="{{ route('careers.update',$single->id) }}" method="post" name="editform" enctype="multipart/form-data" autocomplete="off">
                            @csrf
                                
                                <div class="form-group row">
                                    <label for="exampleInputEmail2" class="col-sm-3 col-form-label">Title <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <input type="text" name="title" class="form-control" value="{{ $single->title }}" placeholder="Enter title" required>
                                        <span class="text-danger">{{ $errors->has('title') ? $errors->first('title') : '' }}</span>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label">Description <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <textarea name="description" class="form-control" >{{ $single->description }}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label">Status <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <select name="status" required class="form-control" >
                                            <option value="0">Please Select</option>
                                            <option value="1">Active</option>
                                            <option value="2">Inactive</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="career" class="col-sm-3 col-form-label">Update Thumbnail <span style="color: red;font-size: 15px;">*</span></label>
                                    <div class="col-sm-9">
                                        <input type="file" class="form-control" name="file"  value="">
                                        <a href="{{ asset($single->file) }}" target="_blank">View Existing Thumbnail</a>
                                        <code>Max File Size less than 1MB</code>
                                        <span class="text-danger">{{ $errors->has('file') ? $errors->first('file') : '' }}</span>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="exampleInputMobile" class="col-sm-3 col-form-label"></label>
                                    <div class="col-sm-9">
                                        <button type="submit" class="btn btn-primary mr-2">Save Changes</button>
                                        <button class="btn btn-light">Cancel</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <script>
                document.forms['editform'].elements['status'].value=<?php echo $single->status; ?>
            </script>
        @endisset
    </div>
</div>

<script src="https://cdn.ckeditor.com/4.11.1/standard/ckeditor.js"></script>
<script>
    CKEDITOR.replace('description');
</script>
            
@endsection

resources/views/admin/career/details.blade.php
<div class="row">
	<div class="col-12">
		<div class="widget-header">
			<h4 class="widget-title">{{ $selected_info->title }} </h4>
		</div>
		<hr>
		<div class="table-responsive">
			<center><img src="{{ asset($selected_info->file) }}" height="200px" width="220px"></center>
			<table id="order-listing" class="table table-striped table-bordered">
				<tbody>
					<tr>
						<td>Job Title</td>
						<td>{{ $selected_info->title }}</td>
					</tr>
					<tr>
						<td>Job Description</td>
						<td>{!! $selected_info->description !!}</td>
					</tr>
					<tr>
						<td>Status</td>
						<td>{{ ($selected_info->status==1)?'Active':'Inactive' }}</td>
					</tr>
				</tbody>
			</table>
		</div>

	</div>
</div>

resources/views/admin/career/view.blade.php
@extends('admin.layout.default')

@section('title')
	Manage Record
@endsection

@section('content')
	<div class="main-panel">
		<div class="page-header">
			<h3 class="page-title">All Record's List</h3>
		</div>
		<div class="content-wrapper">
			<div class="card">
				<div class="card-body">
					@if(Session::has('message'))
                        <div class="alert alert-block alert-success">
                            <button type="button" class="close" data-dismiss="alert">
                                <i class="ace-icon fa fa-times"></i>
                            </button>
                            <i class="ace-icon fa fa-check green"></i>
                            {{ Session::get("message") }}
                            {{ Session::forget('message') }}
                        </div>
                    @endif
					<div class="row">
						<div class="col-12">
							<div class="table-responsive">
								<table id="order-listing" class="table table-striped table-bordered">
									<thead>
										<tr>
											<th>SN</th>
											<th>Title</th>
											<th>Description</th>
											<th>Status</th>
											<th>Thumbnail</th>
											<th>Details</th>
											<th>Action</th>
										</tr>
									</thead>
									<tbody>
										@foreach($get_all as $key => $value)
										<tr>
											<td class="center">{{ $key+1 }}</td>
											<td>{{ $value->title }}</td>
											<td>{{ limit_words(strip_tags($value->description),55,"UTF-8") }}
						                        <a href="#entry{{$value->id}}" role="button" class="btn btn-warning btn-xs" data-toggle="modal">Read More</a>
						                        <div id="entry{{$value->id}}" class="modal fade">
						                          <div class="modal-dialog">
						                            <div class="modal-content">
						                              <div class="modal-header">
						                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">X</button>
						                              </div>
						                              <div class="modal-body">
						                                {!! $value->description !!}
						                              </div>
						                            </div>
						                          </div>
						                        </div>
						                    </td>
											<td>{{ ($value->status==1)?'Active':'Inactive' }}</td>
											<td>
												<a href="{{ asset($value->file) }}" target="_blank"><i class="fa fa-eye" aria-hidden="true"></i> View</a>
											</td>
											<td>
												<a href="#" data-panel-id="{{ $value->id }}" onclick="viewDetails(this)" ><i class="fa fa-eye" aria-hidden="true"></i> View</a>
											</td>
											<td>
												@if(hasPermission("career",EDIT))
													<a href="{{ route('careers.edit',$value->id)}}" ><i class="fa fa-edit" aria-hidden="true"></i></a>
												@endif
                                                @if(hasPermission("career",DELETE))
												| <a href="{{ route('careers.destroy',$value->id) }}" onclick="return confirm('Are you sure ?')"><i class="fa fa-trash" aria-hidden="true"></i></a>
												@endif
											</td>
										</tr>
										@endforeach
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="myModalLabel"></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div id="show_details">
                    
                   </div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>

	<script type="text/javascript">
		
		function viewDetails(x){

        	$("#myModalLabel").html("Circular Details");
            btn = $(x).data('panel-id');
			$.ajax({
			    type:'get',
			    url:'{{ route("careers.circularDetails") }}',
			    data:{id:btn},
			    cache: false,
			    success:function(data) {
			        $('.modal-body').html(data);
			    }
			});

            $("#myModal").modal();
        }
	</script>

@endsection